Subject: Re: [PATCH v14 07/27] bisect--helper: `bisect_reset` shell function in C

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Aug 2016 10:06:46 -0700

Pranit Bauva <[email-masked]> writes:

>> with the original
>>
>>     case $# in
>>     0)  reset to the branch ;;
>>     1)  reset to the commit ;;
>>     *)  give usage and die ;;
>>     esac
>>
>> and took the difference and reacted "ah, excess parameters are not
>> diagnosed in this function".
>>
>> Your caller does complain about excess parameters without giving
>> usage, and that is what I missed.
>>
>> I am not sure if you intended to change the behaviour in this case
>> to avoid giving the usage string; I tend to think it is a good
>> change, but I didn't see it mentioned in the proposed commit log,
>> which also contributed to my not noticing the test in the caller.
>
> I could include this in the commit message.

Nah, it was something anybody could notice with 2 more minutes of
reading and pondering from the patch text alone.  Not worth spending
more time on the log message on this one.

Thanks.